//////////////////////////////////////////////
//Aufgabe 2 Kapitel OOP
/////////////////////////////////////////


private ArrayList<Square> Squares = new ArrayList<Square>();
private ArrayList<Rectangle> Rectangles  = new ArrayList<Rectangle>();

private Square dSquare= null;
private Rectangle dRectangle= null;


void setup() {
 size(800,800);   
}

void draw() {
  background(255);
  for (Square p : Squares ) {
    p.display();
  } 
   for (Rectangle r : Rectangles ) {
    r.display();
  } 
}

//Wird in der Nähe eines vorhandenen Punktes geklickt,...
void mousePressed() {  
  if(mouseButton == LEFT){
    dSquare= null;
    for (Square p : Squares ) {
      double d = p.abstandZu(mouseX, mouseY);
      if (d < 5) dSquare= p; //dSquarezeigt auf Objekt p
    }
    if (dSquare== null) {
      color farbe = color(random(255),random(255),random(255), 180);
      Squares.add(new Square(mouseX, mouseY,round(random(10,100)), farbe));    
    }  
  }
  if(mouseButton == RIGHT)  {
    dRectangle= null;
    for (Rectangle r : Rectangles ) {
      double d = r.abstandZu(mouseX, mouseY);
      if (d < 5) dRectangle= r; //dRectangle zeigt auf Objekt r
    }
    if (dRectangle== null) {
      color farbe = color(random(255),random(255),random(255), 180);
      Rectangles.add(new Rectangle(mouseX, mouseY,round(random(10,100)),round(random(10,100)), farbe)); 
      //println(Rectangles.size());//So kann man die Anzahl der Elemente in Rectangles feststellen
    }  
    
  }
}

//dann wird der Punkt zum dSquare bzw zum dRectangle und kann verschoben werden
public void mouseDragged() {
   if (dSquare!= null) {
      dSquare.setX(mouseX);
      dSquare.setY(mouseY);
   } 
   if (dRectangle!= null) {
      dRectangle.setX(mouseX);
      dRectangle.setY(mouseY);
   
  }
  
}  
  
  
  
  
  
  
  
  
  
  
  
  