//////////////////////////////////////////////
//Kapitel OOP
//Bei Maus-Klick Punkt zeichnen
//Punkte mit gedrückter Maustaste ziehen 
/////////////////////////////////////////

private ArrayList<Point> Points = new ArrayList<Point>();
private Point dPoint = null;

void setup() {
 size(800,800);   
}

void draw() {
  background(255);
  for (Point p : Points ) {
    p.display();
  } 
}

//Wird in der Nähe eines vorhandenen Punktes geklickt,...
void mousePressed() {  
  dPoint = null;
  for (Point p : Points ) {
    double d = p.abstandZu(mouseX, mouseY);
    if (d < 5) dPoint = p; //dPoint zeigt auf Objekt p
  }
  if (dPoint == null) {
    Points.add(new Point(mouseX, mouseY));    
  }  
}

//dann wird der Punkt zum dPoint und kann verschoben werden
public void mouseDragged() {
   if (dPoint != null) {
      dPoint.setX(mouseX);
      dPoint.setY(mouseY);
   } 
  }