public class StraightLine extends Line {
  
  private Point point1 = null;
  private Point point2 = null;
  private int y1, y2;
  
  public StraightLine(Point point1, Point point2) {
    super(point1,point2);
    this.point1 = point1;
    this.point2 = point2;
   
  }

int yWert(int x1, int y1, int x2, int y2, int x){
  float s1 =  float((y2-y1)*x)/float(x2-x1);
  float s2 =  float(x2*y1-x1*y2)/float(x2-x1);
  float result = s1 + s2;
  return round(result);
}

public void display(){
   
    stroke(0);
    strokeWeight(2);
    if(point1.getX() != point2.getX()){
      y1= yWert(point1.getX(),point1.getY(),point2.getX(), point2.getY(),-10);
      y2= yWert(point1.getX(),point1.getY(),point2.getX(), point2.getY(), 1010);
      line(-10,y1,1010, y2);
    } else{
      line(point1.getX(),-10,point2.getX(),810);
    }
  } 
} 