public class CircleLine extends Line {
  
  // Anfang Attribute
  private Point point1 = null;
  private Point point2 = null;
  private int  x1, y1, x2, y2 ;
  private float r;
 
  
  public CircleLine(Point point1, Point point2) {
    super(point1, point2);
    this.point1=point1;
    this.point2=point2;
  }


  
  
  public void display(){
    
    stroke(0);
    strokeWeight(2);
    x1 = point1.getX();
    y1 = point1.getY();
    x2 = point2.getX();
    y2 = point2.getY();
    r = (float)Math.sqrt((y2-y1)*(y2-y1) + (x2-x1)*(x2-x1));
    ellipseMode(RADIUS);
    noFill();
    ellipse(x1,y1,r,r);
 } 
 
}