public class StraightLineSH extends Line {
   
  private Point point1 = null;
  private Point point2 = null;
  private Point point3 = null;
  private int y1, y2;
   
  public StraightLineSH(Point point1, Point point2, Point point3) {
    super(point1,point2);
    this.point1 = point1;
    this.point2 = point2;
    this.point3 = point3;
  }

int yWert(int x1, int y1, int x2, int y2,  int x3, int y3, int x){
  float s1 =  float((-2*y1+y2+y3)*x)/float(-2*x1+x2+x3);
  float s2 =  float(-x1*y2+x2*y1+x3*y1-x1*y3)/float(-2*x1+x2+x3);
  float result = s1 + s2;
  return round(result);
}  

public void display(){
   stroke(0);
   strokeWeight(2);
   y1= yWert(point1.getX(),point1.getY(),point2.getX(), point2.getY(),point3.getX(), point3.getY(),-10);
   y2= yWert(point1.getX(),point1.getY(),point2.getX(), point2.getY(),point3.getX(), point3.getY(), 1010);
   if(y1 <= 1000000 && y1 >= -1000000){ 
      line(-10,y1,1010, y2);
   } else{
      line(point1.getX(),-10,point1.getX(),810);
   }
 }
}