
private ArrayList<GeoObject> geoObjects = new ArrayList<GeoObject>();
private ArrayList<Point> selectedPoints= new ArrayList<Point>();
//private ArrayList<Point> msPoints = new ArrayList<Point>();
private Point dPoint = null;
private int w, h;
private int r,g,b;

void setup() {
 w = 1000; h = 800;
 surface.setSize(w,h);
 Point p01 = new Point(10,10);
 Point p02 = new Point(10,790);
 geoObjects.add(p01);geoObjects.add(p02);
}

void draw() {
  background(255);
  for (GeoObject go : geoObjects ) {
    go.display();
  } 
  
}
//Wird in der Nähe eines vorhandenen Punktes geklickt,...
void mousePressed() {  
  dPoint = null;
  for (GeoObject go : geoObjects ) {
    if (go instanceof Point){
      Point p = (Point) go;
      double d = p.abstandZu(mouseX, mouseY);
      if (d < 5) {
        dPoint = p; 
      }
    } 
  }
  if (dPoint == null) {
    Point newPoint = new Point(mouseX, mouseY);
    newPoint.setfarbe(color(r,g,b));//kann weggelassen werden, wenn Punkte grundsätzlich schwarz gezeichnet werden sollen
    geoObjects.add(newPoint);    
  }  else {
     if(keyPressed == true && key == TAB){
        if (dPoint.getSelected()) {
          dPoint.setSelected(false);
          selectedPoints.remove(dPoint);
        } else {
          dPoint.setSelected(true);
          selectedPoints.add(dPoint);
        }
     }    
  }
}

//dann wird der Punkt zum dPoint und kann verschoben werden
  public void mouseDragged() {
    if (dPoint != null) {
      dPoint.setX(mouseX);
      dPoint.setY(mouseY);
    } 
  }

  void keyPressed(){
    
 if (key == 'l'){
   if (selectedPoints.size() == 2) {
      Line line = new Line(selectedPoints.get(0), selectedPoints.get(1));
     
      geoObjects.add(line);
    } 
    selectedPointsLoeschen();
  } 
  
  if (key == 'g'){
   if (selectedPoints.size() == 2) {
      StraightLine gerade = new StraightLine(selectedPoints.get(0), selectedPoints.get(1));
     
      geoObjects.add(gerade);
    } 
    selectedPointsLoeschen();
  } 
  
   if (key == 'm'){
   if (selectedPoints.size() == 2) {
      StraightLineMS msenkrechte = new StraightLineMS(selectedPoints.get(0), selectedPoints.get(1));
     
      geoObjects.add(msenkrechte);
    } 
    selectedPointsLoeschen();
  } 
  
  if (key == 'h'){
   if (selectedPoints.size() == 3) {
      StraightLineSH shalbierende = new StraightLineSH(selectedPoints.get(0), selectedPoints.get(1), selectedPoints.get(2));      
      geoObjects.add(shalbierende);
    } 
    selectedPointsLoeschen();
  } 
  
  if (key == 'r'){
   if (selectedPoints.size() == 2) {
      Rectangle rechteck = new Rectangle(selectedPoints.get(0), selectedPoints.get(1));
      
      geoObjects.add(rechteck);
    } 
    selectedPointsLoeschen();
  } 
  
  if (key == 'c'){
   if (selectedPoints.size() == 2) {
      CircleLine kreis = new CircleLine(selectedPoints.get(0), selectedPoints.get(1));
     
      geoObjects.add(kreis);
    } 
    selectedPointsLoeschen();
  } 
  
  if (key == 'y'){
   if (selectedPoints.size() >= 3) {
     
      Polygon poly = new Polygon(selectedPoints);
      
      geoObjects.add(poly);
    } 
    selectedPointsLoeschen();
  }  
}

void selectedPointsLoeschen(){
 for (Point p: selectedPoints) {
      p.setSelected(false);
 } 
 selectedPoints.clear();
 }
 
 
 
 
 
 
 
 
 
 
 
 